Bug 15151 - Missing explicit "Conflicts" with libslang-devel
: Missing explicit "Conflicts" with libslang-devel
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/libslang2-devel)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2008-03-29 12:51 by
Modified: 2012-09-25 06:47 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2008-03-29 12:51:20
file /usr/include/slang/slang.h from install of libslang2-devel-2.1.3-alt2 
conflicts with file from package libslang-devel-1.4.9-alt1.0
file /usr/include/slang/slcurses.h from install of libslang2-devel-2.1.3-alt2 
conflicts with file from package libslang-devel-1.4.9-alt1.0
file /usr/lib/libslang.so from install of libslang2-devel-2.1.3-alt2 conflicts 
with file from package libslang-devel-1.4.9-alt1.0
------- Comment #1 From 2008-09-25 09:33:11 -------
А вообще плохо, что их нельзя сразу оба в систему установить..
------- Comment #2 From 2009-05-14 23:55:30 -------
Плохо что они существуют в двух версиях.
Странно, что я на этот конфликт наткнулся только сегодня, при очередном
dist-upgrade, который делаю несколько раз в неделю.
А комментарии в багзилле раз в полгода и бага и ныне там...
------- Comment #3 From 2009-05-14 23:57:37 -------
(В ответ на комментарий №2)
> Плохо что они существуют в двух версиях.
У них API разный, насколько понимаю.
------- Comment #4 From 2009-05-29 20:03:41 -------
*** Bug 20226 has been marked as a duplicate of this bug. ***
------- Comment #5 From 2009-07-13 16:43:17 -------
есть ровно три варианта:

а. сделать девелы конфликтующими 

б. разнести на %_includedir/{slang,slang2} и зопаччить всех клиентов

в. выкинуть libslang
------- Comment #6 From 2011-12-08 00:05:17 -------
(In reply to comment #5)
> есть ровно три варианта:
> а. сделать девелы конфликтующими 
> б. разнести на %_includedir/{slang,slang2} и зопаччить всех клиентов 
> в. выкинуть libslang
Предлагаю а. и затем в. и если что-то зацепится за libslang -- б. или тоже
выкинуть, по обстоятельствам.
------- Comment #7 From 2012-09-25 06:47:29 -------
slang2-2.2.4-alt1 -> sisyphus:

* Tue Sep 25 2012 Dmitry V. Levin <ldv@altlinux> 2.2.4-alt1
- Updated to 2.2.4 (closes: #24882).
- Fixed packaging (closes: #15151).